%global momorel 2
Summary:  Provides a functionality of one of NIDS components.
Name: libnids
Version: 1.18
Release : %{momorel}m
License: GPL
URL: http://www.packetfactory.net/projects/libnids/
Group: Development/Libraries
%NoSource 0 http://www.packetfactory.net/projects/%{name}/dist/%{name}-%{version}.tar.gz 9ee6dcdfac97bae6fe611aa27d2594a5
NoSource: 0
BuildRequires: libpcap
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Libnids is an implementation of an E-component of Network Intrusion
Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
offers IP defragmentation, TCP stream assembly and TCP port scan
detection.

%prep
%setup -q
find . -type f | xargs chmod 644
find . -type d | xargs chmod 755
%__chmod 755 install-sh mkinstalldirs config.guess config.sub configure

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README MISC COPYING CHANGES CREDITS doc samples
%{_libdir}/%{name}.a
%{_mandir}/man3/%{name}.3*
%{_includedir}/nids.h

%changelog
* Sun Apr 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.18-2m)
- revise specfile and permissions of docdir

* Fri Oct 31 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.18-1m)
- Initial import.
